import toInteger_default from "./toInteger.js";
import _baseSlice_default from "./_baseSlice.js";
function dropRight(n, r, i) {
	var a = n == null ? 0 : n.length;
	return a ? (r = i || r === void 0 ? 1 : toInteger_default(r), r = a - r, _baseSlice_default(n, 0, r < 0 ? 0 : r)) : [];
}
var dropRight_default = dropRight;
export { dropRight_default as default };
